import sublime, sublimeplugin, os, os.path
from subprocess import Popen, STDOUT

# Compile TEX file in current buffer using MikTeX's "texify" command
# Does not start the previewer
# If the buffer has been modified, it saves it
# Also create SyncTeX file (for inverse/forward search);
# the viewPDF command implements inverse search (i.e. tells SumatraPDF to call
# back Sublime Text when the user double-clicks on the page)
# Only a minimal sanity check is implemented.

# For debugging purposes, we capture the output of "texify".
# Whe the command has been shown to work, this is redundant, as the LaTeX-relevant
# information is already in <basename>.log

DEBUG = 1

class TexifyCommand(sublimeplugin.WindowCommand):
	def run(self, window, args):
		# Save file if necessary
		view = window.activeView()
		texFile, texExt = os.path.splitext(view.fileName())
		if texExt.upper() != ".TEX":
			sublime.errorMessage("%s is not a TeX source file: cannot compile." % (os.path.basename(view.fileName()),))
			return
		if view.isDirty():
			print "saving..."
			window.runCommand('save')
		texify = u'texify -b -p --tex-option=\"--synctex=1\" '
		cmd = texify + texFile + texExt
		if DEBUG:
			output = open(texFile + ".texify", 'w')
			output.write(cmd + "\n")
		print cmd
		Popen(cmd, stdout=output, stderr=STDOUT)
		if DEBUG:
			output.close()
		print "done normal run"		

